Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel
Class ICMMainPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.ICMMainPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, EventListener, com.google.gwt.user.client.WindowResizeListener

public class ICMMainPanel
extends com.google.gwt.user.client.ui.Composite
implements com.google.gwt.user.client.WindowResizeListener

Author:
  Alexander Yuhimenko

Constructor Summary
`ICMMainPanel()`

Method Summary
`CardPanel` | `getCardPanel()`
`CategoryTree` | `getCategoryTree()`
`static ICMMainPanel` | `getInstance()`
`void` | `onWindowResized(int arg0, int arg1)`
`void` | `setCardPanel(CardPanel cardPanel)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ICMMainPanel

    public ICMMainPanel()

Method Detail

### getInstance

    public static ICMMainPanel getInstance()

### onWindowResized

    public void onWindowResized(int arg0,
                                int arg1)

  Specified by:
    `onWindowResized` in interface `com.google.gwt.user.client.WindowResizeListener`

### getCardPanel

    public CardPanel getCardPanel()

  Returns:
    the cardPanel

### setCardPanel

    public void setCardPanel(CardPanel cardPanel)

  Parameters:
    `cardPanel` - the cardPanel to set

### getCategoryTree

    public CategoryTree getCategoryTree()

  Returns:
    the categoryTree

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD